Skip site navigation (1)Skip section navigation (2)
Date:      Fri, 19 Jun 2020 15:16:20 +0100
From:      matthew@FreeBSD.org
To:        freebsd-questions@freebsd.org
Subject:   Re: Update 11.3 > 11.4
Message-ID:  <e7efcabd-8d5f-1fbf-3ddd-cee1a4422660@infracaninophile.co.uk>
In-Reply-To: <20200617134146.00004ce8@seibercom.net>
References:  <20200617134146.00004ce8@seibercom.net>

Next in thread | Previous in thread | Raw E-Mail | Index | Archive | Help
On 17/06/2020 18:41, Jerry wrote:
> Now, since I am primarily using poudriere, all I need to do is update
> the poudriere jail and then update all the applications on the system.

Not necessarily.  In general packages compiled in an 11.3-RELEASE jail 
will work fine on an 11.4-RELEASE machine.  The important exception is 
Kernel Loadable Modules, which need to be compiled on the same system 
version as where they will be run.

So: if you don't need to build any Kernel modules, then you don't need 
to update your poudriere jail.  Since updating the poudriere jail will 
force poudriere to rebuild _all_ of the packages from that jail (which 
could take quite some time) not upgrading or delaying upgrading can be 
quite a useful move.

	Cheers,

	Matthew



Want to link to this message? Use this URL: <http://docs.FreeBSD.org/cgi/mid.cgi?e7efcabd-8d5f-1fbf-3ddd-cee1a4422660>